System.Design 2.0.0.0 System.Data.DataException

The class indicates that a conflict occurred while an attempt is being made to generate a typed dataset class.

The exception that is thrown when a name conflict occurs while a strongly typed is being generated.

- Constructor
  2.0.0.0

  This constructor initializes the property of the new instance to a system-supplied message that describes the error, such as "DefaultMessageDisplayedByParameterlessCtorWriterMustSupply" This message takes into account the current system culture.

  The following table shows the initial property values for an instance of .

  Property

  Value

  null.

  The localized error message string.

  The class indicates that a conflict occurred while an attempt is being made to generate a typed dataset class.

  Initializes a new instance of the class with a system-supplied message that describes the error.

- Constructor
  2.0.0.0

  The class indicates that a conflict occurred while an attempt is being made to generate a typed dataset class.

  Initializes a new instance of the class by passing in a collection of errors.

  An of errors.
- Constructor
  2.0.0.0
  To be added.

  The following table shows the initial property values for an instance of .

  Property

  Value

  null.

  The error message string specified in .

  The class indicates that a conflict occurred while an attempt is being made to generate a typed dataset class.

  Initializes a new instance of the class with a specified message that describes the error.

- Constructor
  2.0.0.0

  This constructor is called during deserialization to reconstitute the exception object transmitted over a stream. For more information, see XML and SOAP Serialization.The class indicates that a conflict occurred while an attempt is being made to generate a typed dataset class.

  Initializes a new instance of the class, using the specified serialization information and streaming context.

  A object.
  A structure.
- Constructor
  2.0.0.0
  To be added.
  To be added.

  An exception that is thrown as a direct result of a previous exception should include a reference to the previous exception in the property. The property returns the same value that is passed into the constructor, or null if the property does not supply the inner exception value to the constructor.

  The following table shows the initial property values for an instance of .

  Property

  Value

  null.

  The error message string specified in .

  The class indicates that a conflict occurred while an attempt is being made to generate a typed dataset class.

  Initializes a new instance of the class with the specified string and inner exception.

- Property
  2.0.0.0
  System.Collections.IList To be added.

  The class indicates that a conflict occurred while an attempt is being made to generate a typed dataset class.

  Gets a dynamic list of generated errors.

- Method
  2.0.0.0
  System.Void `` `` To be added.

  This constructor is called during deserialization to reconstitute the exception object transmitted over a stream. For more information, see XML and SOAP Serialization. The class indicates that a conflict occurred while an attempt is being made to generate a typed dataset class.

  Implements the ISerializable interface and returns the data that you must have to serialize the object.

  A structure.